--! File: player.lua
Player = Entity:extend()

function Player:new(x, y)
	Player.super.new(self, x, y, "Player Test Thing.png")
	self.speed = 2
end

function Player:move(dt)
	if love.keyboard.isDown("left") then
		self.vx = -(self.speed * 100) * dt
	elseif love.keyboard.isDown("right") then
		self.vx = (self.speed * 100) * dt
	else
		self.vx = 0
	end
	
	if love.keyboard.isDown("up") then
		self.vy = -(self.speed * 100) * dt
	elseif love.keyboard.isDown("down") then
		self.vy = (self.speed * 100) * dt
	else
		self.vy = 0
	end
end
