function love.load()
	Object = require "classic"
	require "entity"
	require "player"
	require "wall"
	
	player = Player(32, 32)
	walls = {}
	table.insert(walls, Wall(32, 128))
	table.insert(walls, Wall(64, 128))
	table.insert(walls, Wall(96, 128))
	table.insert(walls, Wall(128, 128))
end

function love.update(dt)
	player:move(dt)
	for i, v in ipairs(walls) do
		local pCol = player:collide(v)
		if pCol.ret == true then
			player.vx = player.vx + pCol.cnX * math.abs(player.vx) * (1 - pCol.time)
			player.vy = player.vy + pCol.cnY * math.abs(player.vy) * (1 - pCol.time)
		end
	end
	player:update(dt)
end

function love.draw()
	player:draw()
	for i, v in ipairs(walls) do
		v:draw()
	end
end
